clang 8.0.0

Classes | Namespaces | Macros
CheckerRegistry.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "clang/StaticAnalyzer/Core/CheckerManager.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <cstddef>`
`#include <vector>`
`#include "clang/Basic/Version.h"`
Include dependency graph for CheckerRegistry.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::ento::CheckerRegistry
| Manages a set of available checkers for running a static analysis. More...
struct | clang::ento::CheckerRegistry::CheckerInfo

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::ento

## Macros
#define | CLANG_ANALYZER_API_VERSION_STRING CLANG_VERSION_STRING

## Macro Definition Documentation

## ◆ CLANG_ANALYZER_API_VERSION_STRING

#define CLANG_ANALYZER_API_VERSION_STRING CLANG_VERSION_STRING

Definition at line 66 of file CheckerRegistry.h.

Referenced by clang::ento::CheckerRegistry::CheckerRegistry(), and isCompatibleAPIVersion().